Bug 1023512 - [deploy] 'gear deploy' should not allow git deployments when deployment-type is set to binary
[deploy] 'gear deploy' should not allow git deployments when deployment-type ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 11:14 EDT by Fabiano Franz
Modified: 2015-05-14 19:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:49:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabiano Franz 2013-10-25 11:14:45 EDT
Description of problem: 'gear deploy' will allow deploying a git ref even when deployment-type is set to binary.

[foo-foo.dev.rhcloud.com 526a7e1b29856796cf000007]\> gear deploy master
Stopping PHP cartridge
Waiting for stop to finish
Building git ref 'master', commit 3961a72
Building PHP cartridge
Preparing build for deployment
Deployment id is c711eb5c
Activating deployment
Starting PHP cartridge

Version-Release number of selected component (if applicable):

How reproducible: always

Steps to Reproduce:
1. rhc create-app foo php-5 --no-git --no-dns
2. rhc configure-app foo --no-auto-deploy --keep-deployments 5 --deployment-type binary
3. rhc deploy master -a foo

Actual results: git ref 'master' is deployed

Expected results: gracefully error out a message and exit with error code

Additional info:
Comment 1 Andy Goldstein 2013-10-25 14:37:24 EDT
https://github.com/openshift/origin-server/pull/4000
Comment 2 openshift-github-bot 2013-10-25 16:18:20 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/91dcf774a277164975fd029fc94117c1f75ad2c0
Disallow 'gear deploy' if deployment type is binary

Bug 1023512
Comment 3 Qiushui Zhang 2013-10-28 01:24:54 EDT
Tested on devenv_3953.
When deploy type is set to "binary", we will get the following:
[php2-qiuzhang.dev.rhcloud.com 526df3507820b9fed1000067]\> gear deploy master
OPENSHIFT_DEPLOYMENT_TYPE is 'binary' - git-based deployments are disabled.

The only notice is that, we need to re-login to the application after deploy type changed. 

Mark the bug as verified.

Note You need to log in before you can comment on or make changes to this bug.